#!/bin/sh
#
#######################################################
# Prefixe des thumbnails
prefixe="tn_"
########################################################
# Realisation Steve Lussiaud - 2005
# Contact : steve.lussiaud@free.fr
# Publi sous Licence GNU/GPL
########################################################
# Objet : Cration des vignettes pour PHP WEB GALLERY 
# Version : 0.1
# OS : GNU/Linux
# Pre-Requis : Image Magick; gawk ; Avoir les permissions en
# 	       lecture-ecriture dans le dossier.
# Site du soft : http://www.phpwebgallery.net
########################################################
# Utilisation :
# Placez le script dans le dossier de PHPWEBGALLERY
# par defaut : galleries
# Il faut au prealable avoir cree les diffrentes galeries
# avec les dossiers thumbnail
# Donner les permissions d'execution : chmod u+x script.sh
# Lancement : ./update_gallery.sh
#######################################################
# Debut du programme 
########################################################
# Recuperation des repertoires differents de thumbnail
for j in `find . -name "*" -type d | grep -v thumbnail`
	do
		 
		echo "Traitement $j en cours ...."
		# Test si le dossier thumbnail existe
		if [ -d $j/thumbnail ];then
			echo "+ Repertoire thumbnail present"

			# Calcul le nombre d'images dans le dossier des images du repertoire en cours
			nb_picture=`find $j -name "*.*jpg" -type f -maxdepth 1 | wc -l`
			echo "+ $nb_picture fichiers presents dans $j"

			# Calcul le nombre d'images dans le dossier thumbnail du repertoire en cours
			nb_thumb=`find $j/thumbnail -name "*.jpg" -type f -maxdepth 1 | wc -l`
			echo "+ $nb_thumb fichiers presents dans $j/thumbnail"

			# Si les nombres d'images sont differents
			if [ $nb_picture -ne $nb_thumb ];then
				echo "  +--> MISE A JOUR NECESSAIRE !!!"
				# Stock les le chemins des images dans un fichier texte
				find $j -name "*.jpg" -type f -maxdepth 1 > log.log
				# Recupere le dernier champs du fichier log.log
				for i in `awk -F"/" '{print $NF}' 'log.log'`
				do
					# Conversion des images et enregistrement du resultat dans le rep thumbnail
					convert -sample 128x96 $j/$i $j/thumbnail/tn_$i
				done
			fi
			
		fi

		# Ajout un saut de ligne
		echo " "
	done
	
# Supprime le fichier de log log.log si il existe
if [ -e log.log ];then
	rm log.log
fi
